import torch
import matplotlib.pyplot as plt

fig = plt.figure()
# Plot
ax = fig.add_subplot(111)
ax.set_xlim(0,.08)
ax.set_ylim(1.602,1.6036)
#ax.set_ylim(.2491,.2493)

for item in ([ax.title, ax.xaxis.label, ax.yaxis.label] +
             ax.get_xticklabels() + ax.get_yticklabels()):
    item.set_fontsize(12)

VarFile="./Loss_%s_log_28_36_init_1_epoch_19999_logavg_loss.pt" % "const"
X=torch.load(VarFile)

    
point0 = [0,0]
i = 2
point1 = torch.tensor([2**(-(2*i+16)/4),X[i,-1]])
i = 4
point2 = torch.tensor([2**(-(2*i+16)/4),X[i,-1]])
point1a = point1+2.1*(point1-point2)
point2a = point2+1*(point2-point1)

x_values = [point1a[0], point2a[0]]
y_values = [point1a[1], point2a[1]]

ax.plot(x_values,y_values,color="lightgray")

for i in range(X.size()[0]):
    ax.scatter(2**(-(2*i+16)/4),X[i,-1])

ax.set_xlabel(r"$\zeta$")
ax.set_ylabel("average loss at equilibrium")

#plt.legend()
plt.show()
