import torch
import matplotlib.pyplot as plt

fig = plt.figure()
# Plot
ax = fig.add_subplot(111)

VarFile="./Loss_%s_log_28_36_init_1_epoch_19999_logavg_loss.pt" % "const"
X=torch.load(VarFile)

for i in range(X.size()[0]):
    ax.plot(torch.log2(torch.arange(1,X.size()[1]+1,1.)*100), (X[i,:]),label=r"LR=$2^{-%.1f}$" % ((28+2*i)/4) )

xt=torch.arange(8,21,1)
xttext=[]
for t in xt:
    xttext.append(r"$2^{%.1f}$" % t)
ax.set_xticks(xt)
ax.set_xticklabels(xttext)
ax.set_xlabel("#iteration")
ax.set_ylabel("average loss")

#ax.set_ylim([1.6026,1.6040])
"""
yt=torch.arange(-9,-3,.5)
yttext=[]
for t in yt:
    yttext.append(r"$2^{%.f}$" % t)
ax.set_yticks(yt)
ax.set_yticklabels(yttext)
ax.set_xlabel("#iteration")
ax.set_ylabel(r"Variance of sampled $W_t$'s")
"""
plt.legend()
plt.show()
        
